%define oname ntlm-http

Name:       ruby-%{oname}
Version:    0.1.1
Release:    %mkrel 3
Summary:    Ruby/NTLM HTTP library
License:    MIT
Group:      Development/Ruby
URL:        http://www.mindflowsolutions.net/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ntlm-http-0.1.1-missing-headers.patch
BuildRequires: rubygems
Buildarch: noarch

%description
Ruby/NTLM HTTP provides NTLM authentication over http.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0 -b.orig
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.1.1-3.mga3
+ Revision: 396230
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 381147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.1.1-1.mga3
+ Revision: 313338
- fix patch
- fix patch
- imported package ruby-ntlm-http

